// Motor Basic Test Code - Aaron

#include <Wire.h>
#include <Adafruit_MotorShield.h>

int largeVal = 100;
int smallVal = 50;

Adafruit_MotorShield AFMS = Adafruit_MotorShield();
Adafruit_DCMotor *motorVL = AFMS.getMotor(1);
Adafruit_DCMotor *motorVR = AFMS.getMotor(2);
Adafruit_DCMotor *motorHL = AFMS.getMotor(3);
Adafruit_DCMotor *motorHR = AFMS.getMotor(4);

void setup() {
  Serial.begin(115200);
  AFMS.begin();
}

void loop() {
  Serial.println("-- START LOOP ---");
  Serial.println();
  Serial.println("  Vertical   Left  - Forward  Fast");
  motorHR->setSpeed(0);
  motorVL->setSpeed(largeVal);
  motorVL->run(FORWARD);
  delay(2000);
<<<<<<< HEAD
<<<<<<< Updated upstream
  Serial.println("  Vertical   Left  - Backward Slow");
  motorVL->setSpeed(smallVal);
  motorVL->run(BACKWARD);
  delay(2000);
  Serial.println("  Vertical   Right - Forward  Fast");
=======
  motorVL->setSpeed(smallVal);
  motorVL->run(BACKWARD);
  delay(2000);
>>>>>>> Stashed changes
=======
  Serial.println("  Vertical   Left  - Backward Slow");
  motorVL->setSpeed(smallVal);
  motorVL->run(BACKWARD);
  delay(2000);
  Serial.println("  Vertical   Right - Forward  Fast");
>>>>>>> main
  motorVL->setSpeed(0);
  motorVR->setSpeed(largeVal);
  motorVR->run(FORWARD);
  delay(2000);
<<<<<<< HEAD
<<<<<<< Updated upstream
  Serial.println("  Vertical   Right - Backward Slow");
  motorVR->setSpeed(smallVal);
  motorVR->run(BACKWARD);
  delay(2000);
  Serial.println("  Horizontal Left  - Forward  Fast");
=======
  motorVR->setSpeed(smallVal);
  motorVR->run(BACKWARD);
  delay(2000);
>>>>>>> Stashed changes
=======
  Serial.println("  Vertical   Right - Backward Slow");
  motorVR->setSpeed(smallVal);
  motorVR->run(BACKWARD);
  delay(2000);
  Serial.println("  Horizontal Left  - Forward  Fast");
>>>>>>> main
  motorVR->setSpeed(0);
  motorHL->setSpeed(largeVal);
  motorHL->run(FORWARD);
  delay(2000);
<<<<<<< HEAD
<<<<<<< Updated upstream
=======
>>>>>>> main
  Serial.println("  Horizontal Left  - Backward Slow");
  motorHL->setSpeed(smallVal);
  motorHL->run(BACKWARD);
  delay(2000);
  Serial.println("  Horizontal Right - Forward  Fast");
<<<<<<< HEAD
=======
  motorHL->setSpeed(smallVal);
  motorHL->run(BACKWARD);
  delay(2000);
>>>>>>> Stashed changes
=======
>>>>>>> main
  motorHL->setSpeed(0);
  motorHR->setSpeed(largeVal);
  motorHR->run(FORWARD);
  delay(2000);
<<<<<<< HEAD
<<<<<<< Updated upstream
  Serial.println("  Horizontal Right - Backward Slow");
  motorHR->setSpeed(smallVal);
  motorHR->run(BACKWARD);
  delay(2000);
  Serial.println();
  Serial.println();
=======
  motorHR->setSpeed(smallVal);
  motorHR->run(BACKWARD);
  delay(2000);
>>>>>>> Stashed changes
=======
  Serial.println("  Horizontal Right - Backward Slow");
  motorHR->setSpeed(smallVal);
  motorHR->run(BACKWARD);
  delay(2000);
  Serial.println();
  Serial.println();
>>>>>>> main
}
